summaryrefslogtreecommitdiff
path: root/bin/extra/notes
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2024-08-15 12:19:29 +0200
committerRaymaekers Luca <raymaekers.luca@gmail.com>2024-08-15 12:19:29 +0200
commitb6484958979b0bb6398dc95b72f233bea20fe1b4 (patch)
tree828c54ffdc73ad2970c53f3d4200c2cdbfc9b75f /bin/extra/notes
parent86c5ff5335a1adaf721778bdfcb79ff06726e71f (diff)
checkpoint
Diffstat (limited to 'bin/extra/notes')
-rwxr-xr-xbin/extra/notes8
1 files changed, 8 insertions, 0 deletions
diff --git a/bin/extra/notes b/bin/extra/notes
new file mode 100755
index 0000000..e3b4a4d
--- /dev/null
+++ b/bin/extra/notes
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+notes="$HOME/notes"
+note="$(find "$notes" -type f -name '*.md' |
+ sed "s@$notes/@@;s@\.md\$@@" |
+ fzf)"
+[ "$note" ] || exit 1
+$EDITOR "$notes/$note.md"